    args = (commandArgs(TRUE));
    
    if(length(args) == 0)
    {
       cat("No arguments supplied");
    }else
    {
       for(i in 1:length(args))
       {
          eval(parse(text=args[[i]]));
       }
    }
    
    mod_name = read.table(file=mod_name_file);
    mod_name = as.array(mod_name$V1);
    
    
    whole_summary = read.table(file=whole_summary_file,header=TRUE);
    critical_summary = read.table(file=critical_summary_file,header=TRUE);
    
    whole_row = dim(whole_summary)[1];
    whole_col = dim(whole_summary)[2];
    
    critical_row = dim(critical_summary)[1];
    critical_col = dim(critical_summary)[2];
    
    whole_color = rainbow(whole_col);
    critical_color = rainbow(critical_col);
    
    maximum_whole = max(whole_summary);
    maximum_critical = max(critical_summary);
    
    pdf(file=whole_summary_output,width=8,height=7);
    
    plot(whole_summary[,1],col=NA,xlab="position",ylab="enrichment",main="",ylim=c(0,maximum_whole));
    lines(whole_summary[,1],col=whole_color[1]);
    
    for(i in 2:whole_col)
    {
          points(whole_summary[,i],col=NA);
          lines(whole_summary[,i],col=whole_color[i]);
    }
    
    legend(1,0.9*maximum_whole,legend=mod_name,col=whole_color,lty=1,pch=1,cex=0.5,text.col=whole_color);
    
    dev.off();
    
    
    pdf(file=critical_summary_output,width=8,height=7);
    
    plot(critical_summary[,1],col=NA,xlab="position",ylab="enrichment",main="",ylim=c(0,maximum_critical));
    lines(critical_summary[,1],col=critical_color[1]);
    
    for(i in 2:critical_col)
    {
          points(critical_summary[,i],col=NA);
          lines(critical_summary[,i],col=critical_color[i]);
    }
    
    legend(1,0.9*maximum_critical,legend=names(critical_summary),col=critical_color,lty=1,pch=1,cex=0.5,text.col=critical_color);
    
    dev.off();
    